<?php

add_action('widgets_init', 'my_recent_post');
function my_recent_post()
{
    register_widget('RecentPOST');
}

/*recent_post*/
class RecentPOST extends WP_Widget
{
    function RecentPOST()
    {
        $widget_ops = array('classname' => 'recent_post_widget', 'description' => __('A widget that displays recent posts', 'recent_post'));
        $control_ops = array('width' => 300, 'height' => 350, 'id_base' => 'recent_post-widget');
        $this->WP_Widget('recent_post-widget', __('GoGetThemes Recent Posts widget', 'recent_post'), $widget_ops, $control_ops);
    }

    function widget($args, $instance)
    {
        extract($args);
        //Our variables from the widget settings.
        $title = apply_filters('widget_title', $instance['title']);
        $post_show = $instance['post_show'];
        $cat_id = $instance['cat_id'];
        echo $before_widget;
        // Display the widget title
        if ($title)
            echo $before_title . $title . $after_title;
        echo '<div class="recent_posts">';
        $args_rp = array(
            'post_type' => 'post',
            'cat' => $cat_id,
            'showposts' => $post_show,
            'tax_query' => array(
                array(
                    'taxonomy' => 'post_format',
                    'field' => 'slug',
                    'terms' => array('post-format-link', 'post-format-image', 'post-format-quote'),
                    'operator' => 'NOT IN'
                ))
        );
        $my_query = new WP_Query($args_rp);
        while ($my_query->have_posts()) :

            $my_query->the_post();
            echo '<div class="recent_post">';
            echo '<div class="recent_post_left">';
            the_post_thumbnail('thumbnail', array('class' => 'mini_thumb'));
            echo '</div>';
            echo '<div class="recent_post_right"><div class="widget_date">';
            the_time('F d. Y');
            echo '</div><h6><a href="' . get_permalink() . '">';
            the_title();
            echo '</a></h6>';
            echo '</div>';
            echo '</div>';

        endwhile;
        wp_reset_query();
        echo '</div>';
        echo $after_widget;
    }

    //Update the widget
    function update($new_instance, $old_instance)
    {
        return $new_instance;
    }

    function form($instance)
    {
        $defaults = array('title' => __('Recent Posts', 'recent_post'), 'post_show' => __('3', 'recent_post'), 'cat_id' => __('1', 'recent_post'));
        $instance = wp_parse_args($instance, $defaults);

        ?>



        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'recent_post'); ?></label>
            <input class="regular-text code" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>"
                   style="width:100%;"/>
        </p>



        <p>
            <label
                for="<?php echo $this->get_field_id('post_show'); ?>"><?php _e('Number of posts to show:', 'recent_post'); ?></label>
            <input class="regular-text code" id="<?php echo $this->get_field_id('post_show'); ?>"
                   name="<?php echo $this->get_field_name('post_show'); ?>"
                   value="<?php echo $instance['post_show']; ?>" style="width:100%;"/>
        </p>

        <p>
            <label
                for="<?php echo $this->get_field_id('cat_id'); ?>"><?php _e('Category ID:', 'recent_post'); ?></label>
            <input class="regular-text code" id="<?php echo $this->get_field_id('cat_id'); ?>"
                   name="<?php echo $this->get_field_name('cat_id'); ?>" value="<?php echo $instance['cat_id']; ?>"
                   style="width:100%;"/>
        </p>





    <?php
    }
}

?>