<?php



// Exit if accessed directly

if (!defined('ABSPATH')) exit;



/**
 * Single Portfolio
 *
 *
 * @file           single-portfolio.php
 * @package        Parasponsive
 * @author         GoGetThemes
 * @copyright      2013 GoGetThemes
 * @license        license.txt
 * @version        Release: v1.0
 */

?>

<div id="portfolio_box">
    <?php if (have_posts()) : ?>

        <?php while (have_posts()) : the_post(); ?>

            <?php $slider = get_field('image_slider');
            if ($slider) {
                ?>

                <div class="cycle-slideshow" data-cycle-fx=scrollHorz
                     data-cycle-timeout=0
                     data-cycle-prev=".cycle-prev"
                     data-cycle-next=".cycle-next">
                    <!-- prev/next links -->
                    <div class="cycle-prev"><i class="icon-chevron-left"></i></div>
                    <div class="cycle-next"><i class="icon-chevron-right"></i></div>

                    <?php



                    foreach ($slider as $slide) {
                        echo '<img src="' . $slide['url'] . '" alt="' . $slide['alt'] . '" />';
                    }

                    ?>
                </div>

            <?php } ?>





            <h5><?php the_title(); ?></h5>

            <div class="entry">
                <?php the_content(); ?>
            </div>

            <script>
                jQuery(document).ready(function ($) {
                    $('.cycle-slideshow').cycle({

                        swipe: true

                    });
                    $('.video-shortcode iframe').fitVids();
                });
            </script>

            <style>
                .video-shortcode iframe {

                    max-width: 100%;

                }
            </style>

        <?php endwhile; ?>

    <?php else : ?>



        <h1 class="title-404"><?php _e('404 &#8212; Fancy meeting you here!', 'responsive'); ?></h1>

        <p><?php _e('Don&#39;t panic, we&#39;ll get through this together. Let&#39;s explore our options here.', 'responsive'); ?></p>

        <h6><?php _e('You can return', 'responsive'); ?> <a href="<?php echo home_url(); ?>/"
                                                            title="<?php esc_attr_e('Home', 'responsive'); ?>"><?php _e('&larr; Home', 'responsive'); ?></a> <?php _e('or search for the page you were looking for', 'responsive'); ?>
        </h6>

        <?php get_search_form(); ?>



    <?php endif; ?>
</div>

